Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.support
Class SimpleTriggerContext

    java.lang.Object
      org.springframework.scheduling.support.SimpleTriggerContext

All Implemented Interfaces:
  TriggerContext

    public class SimpleTriggerContext

extends java.lang.Object
implements TriggerContext

Simple data holder implementation of the `TriggerContext` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`SimpleTriggerContext()`

Method Summary
`java.util.Date` | `lastActualExecutionTime()` Return the last actual execution time of the task, or `null` if not scheduled before.
`java.util.Date` | `lastCompletionTime()` Return the last completion time of the task, or `null` if not scheduled before.
`java.util.Date` | `lastScheduledExecutionTime()` Return the last scheduled execution time of the task, or `null` if not scheduled before.
`void` | `update(java.util.Date lastScheduledExecutionTime, java.util.Date lastActualExecutionTime, java.util.Date lastCompletionTime)` Update this holder's state with the latest time values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTriggerContext

    public SimpleTriggerContext()

Method Detail

### update

    public void update(java.util.Date lastScheduledExecutionTime,
                       java.util.Date lastActualExecutionTime,
                       java.util.Date lastCompletionTime)

  Update this holder's state with the latest time values.

  Parameters:
    `lastScheduledExecutionTime` - last scheduled execution time
    `lastActualExecutionTime` - last actual execution time
    `lastCompletionTime` - last completion time

### lastScheduledExecutionTime

    public java.util.Date lastScheduledExecutionTime()

  Description copied from interface: `TriggerContext`
  Return the last scheduled execution time of the task, or `null` if not scheduled before.

  Specified by:
    `lastScheduledExecutionTime` in interface `TriggerContext`

### lastActualExecutionTime

    public java.util.Date lastActualExecutionTime()

  Description copied from interface: `TriggerContext`
  Return the last actual execution time of the task, or `null` if not scheduled before.

  Specified by:
    `lastActualExecutionTime` in interface `TriggerContext`

### lastCompletionTime

    public java.util.Date lastCompletionTime()

  Description copied from interface: `TriggerContext`
  Return the last completion time of the task, or `null` if not scheduled before.

  Specified by:
    `lastCompletionTime` in interface `TriggerContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD